////////////////////////////////////////////////////////////////////////////////
//
// Copyright (c) since 1999. VASCO DATA SECURITY
// All rights reserved. http://www.vasco.com
//
////////////////////////////////////////////////////////////////////////////////

#import <Foundation/Foundation.h>

@protocol OrchestrationProtocol;

NS_ASSUME_NONNULL_BEGIN

/**
 * An implementation of a {@link UserAuthenticationInputDelegate} interface will be given by the Orchestration library
 * (See {@link com.vasco.orchestration.client.UserAuthenticationCallback#onUserAuthenticationRequired(UserAuthenticationInputDelegate)}).
*/
NS_REFINED_FOR_SWIFT
@protocol UserAuthenticationInputDelegate <NSObject>

/**
 * Need to be called to inform the Orchestration library of the user input.
 * The conformity of that input can be check by the Orchestration library.
 * That input can be used to encrypt the secret.
 */
- (void)onUserAuthenticationInputSuccessWithCharArrayInput:(const char *)input;

/**
 * Need to be called to inform the Orchestration library of an aborted authentication flow.
 */
- (void)onUserAuthenticationInputAborted;

@end

NS_ASSUME_NONNULL_END
